# Yahoo! UI Library

### paginator 2.8.0r4

Yahoo! UI Library > paginator > YAHOO.widget.Paginator.ui.PreviousPageLink
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.widget.Paginator.ui.PreviousPageLink

ui Component to generate the link to jump to the previous page.

### Constructor

YAHOO.widget.Paginator.ui.PreviousPageLink `( p )`

Parameters:
  `p <Pagintor>` Paginator instance to attach to

### Properties

#### current - `private HTMLElement`

Currently placed HTMLElement node

#### link - `private HTMLElement`

Link node

#### span - `private HTMLElement`

Span node (inactive link)

### Methods

#### destroy

`private void destroy ( )`
Removes the link/span node and clears event listeners

Returns: `void`

#### init

`static void init ( p )`
Decorates Paginator instances with new attributes. Called during Paginator instantiation.

Parameters:
  `p <Paginator>` Paginator instance to decorate

Returns: `void`

#### onClick

`void onClick ( e )`
Listener for the link's onclick event. Passes to setPage method.

Parameters:
  `e <DOMEvent>` The click event

Returns: `void`

#### render

`HTMLElement render ( id_base )`
Generate the nodes and return the appropriate node given the current pagination state.

Parameters:
  `id_base <string>` used to create unique ids for generated nodes

Returns: `HTMLElement`

#### update

`void update ( e )`
Swap the link and span nodes if appropriate.

Parameters:
  `e <CustomEvent>` The calling change event

Returns: `void`

### Events

#### beforePreviousPageLinkClassChange

`beforePreviousPageLinkClassChange ( event )`
Fires before the value for the configuration attribute 'previousPageLinkClass' changes. Return false to cancel the attribute change.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### beforePreviousPageLinkLabelChange

`beforePreviousPageLinkLabelChange ( event )`
Fires before the value for the configuration attribute 'previousPageLinkLabel' changes. Return false to cancel the attribute change.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### previousPageLinkClassChange

`previousPageLinkClassChange ( event )`
Fires when the value for the configuration attribute 'previousPageLinkClass' changes.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### previousPageLinkLabelChange

`previousPageLinkLabelChange ( event )`
Fires when the value for the configuration attribute 'previousPageLinkLabel' changes.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

### Configuration Attributes

#### previousPageLinkClass `- object`

CSS class assigned to the link/span
Default Value: 'yui-pg-previous'

#### previousPageLinkLabel `- object`

Used as innerHTML for the previous page link/span.
Default Value: '< prev'

Copyright © 2009 Yahoo! Inc. All rights reserved.